For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
Resources
Log inGet a demo
Get startedAPI referenceImplementation
Get startedAPI referenceImplementation
    • Overview
          • The TaxRate object
          • GET/tax-rates
          • GET/tax-rates/{id}
UnifiedAgent HandlerGateway
UnifiedAgent HandlerGateway
Resources
Log inGet a demo
Common ModelsTax Rates

/tax-rates/{id}

Beta
GET
/accounting/v1/tax-rates/:id
GET
/api/accounting/v1/tax-rates/:id
$curl -G https://api.merge.dev/api/accounting/v1/tax-rates/id \
> -H "X-Account-Token: X-Account-Token" \
> -H "Authorization: Bearer <token>" \
> -d expand=company
200Retrieved
1{
2 "id": "b82302de-852e-4e60-b050-edf9da3b7c02",
3 "remote_id": "039111",
4 "created_at": "2021-09-15T00:00:00Z",
5 "modified_at": "2021-10-16T00:00:00Z",
6 "company": "595c8f97-2ac4-45b7-b000-41bdf43240b5",
7 "code": "890",
8 "name": "State tax rate",
9 "description": "Sales Tax",
10 "status": "ACTIVE",
11 "country": "US",
12 "total_tax_rate": 15,
13 "effective_tax_rate": 15,
14 "tax_components": [
15 {
16 "remote_id": "039111",
17 "name": "Drink Tax Component",
18 "rate": "15",
19 "is_compound": true,
20 "component_type": "SALES"
21 }
22 ],
23 "remote_was_deleted": true,
24 "field_mappings": {
25 "organization_defined_targets": {
26 "custom_key": "custom_value"
27 },
28 "linked_account_defined_targets": {
29 "custom_key": "custom_value"
30 }
31 },
32 "remote_data": [
33 {
34 "path": "/actions",
35 "data": null
36 }
37 ]
38}

Returns a TaxRate object with the given id.

Field support by integration

See all supported fields

Use the /linked-accounts endpoint to pull platform support information

Was this page helpful?
Previous

/tax-rates

Next

The TrackingCategory object

Built with

Authentication

AuthorizationBearer

Token-based authentication with required prefix “Bearer”

Path parameters

idstringRequiredformat: "uuid"

Headers

X-Account-TokenstringRequired
Token identifying the end user.

Query parameters

expandenumOptional
Which relations should be returned in expanded form. Multiple relation names should be comma separated without spaces.
Allowed values:
include_remote_databooleanOptional

Whether to include the original data Merge fetched from the third-party to produce these models.

include_shell_databooleanOptional

Whether to include shell records. Shell records are empty records (they may contain some metadata but all other fields are null).

Response

idstringRead-onlyformat: "uuid"
remote_idstring or null

The third-party API ID of the matching object.

created_atdatetimeRead-only
The datetime that this object was created by Merge.
modified_atdatetimeRead-only
The datetime that this object was modified by Merge.
companystring or nullformat: "uuid"

The subsidiary that the tax rate belongs to (in the case of multi-entity systems).

codestring or null<=100 characters

The tax code associated with this tax rate or group of tax rates from the third-party platform.

namestring or null<=100 characters

The tax rate’s name.

descriptionstring or null
The tax rate's description.
statusenum or null

The tax rate’s status - ACTIVE if an active tax rate, ARCHIVED if not active.

  • ACTIVE - ACTIVE
  • ARCHIVED - ARCHIVED
Allowed values:
countrystring or null<=100 characters
The country the tax rate is associated with.
total_tax_ratedouble or null

The tax’s total tax rate - sum of the tax components (not compounded).

effective_tax_ratedouble or null

The tax rate’s effective tax rate - total amount of tax with compounding.

tax_componentslist of objects
The related tax components of the tax rate.
remote_was_deletedbooleanRead-only

Indicates whether or not this object has been deleted in the third party platform. Full coverage deletion detection is a premium add-on. Native deletion detection is offered for free with limited coverage. Learn more.

field_mappingsobject or nullRead-only
remote_datalist of objects or nullRead-only